Create a step runner

Prev Next
Post
/v1alpha/step_runners

Returns an install command for deploying a self-hosted step runner. By default, a workspace has a limit of 10 step runners. To modify this quota, contact Torq support.

Security
HTTP
Type bearer
Body parameters
Expand All
object
display_name
string Required

The name of the step runner as it will appear in the Torq UI.

ExampleMy runner
platform
string Required

Runner deployment platform options.

Valid values[ "platform_status_unknown", "kubernetes", "docker" ]
Default"platform_status_unknown"
kubernetes_options
object (v1alphaKubernetesOptions)

Kubernetes platform deployment options. Only applicable when the Kubernetes deployment platform is selected.

allow_cluster_management
boolean

Allow steps executed by this runner to perform actions on the Kubernetes cluster. Default is false.

Exampletrue
cpu_request
object (v1alphaResource)
amount
string (int64)
units
string
cpu_limit
object (v1alphaResource)
amount
string (int64)
units
string
memory_request
object (v1alphaResource)
amount
string (int64)
units
string
memory_limit
object (v1alphaResource)
amount
string (int64)
units
string
cpu_max
object (v1alphaResource)
amount
string (int64)
units
string
memory_max
object (v1alphaResource)
amount
string (int64)
units
string
labels
object

Key-value pairs that attach identifying metadata to Kubernetes objects.

Example{ "env": "production" }
property*
string additionalProperties
annotations
object

Key-value pairs that attach arbitrary non-identifying metadata to Kubernetes objects.

Example{ "annotation_key": "annotation_value" }
property*
string additionalProperties
docker_options
object (v1alphaDockerOptions)
cpu
object (v1alphaResource)
amount
string (int64)
units
string
memory
object (v1alphaResource)
amount
string (int64)
units
string
environment_variables
object
property*
string additionalProperties
max_step_duration
string

Maximum amount of time the step can run before failing.

description
string

A description of the step runner.

Responses
200

A successful response.

Expand All
object
step_runner
object (v1alphaStepRunner)
name
string

The name of the step runner.

Examplemy_runner
id
string (uuid)

The unique identifier of the step runner.

Example74e19393-3e94-48d2-8b60-26f2d2665942
display_name
string

The name of the step runner as it appears in the Torq UI.

ExampleMy runner
created_time
string (date-time)

The timestamp when the step runner was created.

Example2022-09-12T10:52:06.385Z
last_seen_time
string (date-time)

The timestamp when the step runner was last active.

Example2022-09-12T10:52:06.385Z
description
string

A description of the step runner.

environment_variables
object

Environment variables to set in the step runner execution environment.

property*
string additionalProperties
max_step_duration
string

The maximum duration a step executed by this runner can run.

kubernetes_options
object (v1alphaKubernetesOptions)

Kubernetes platform deployment options. Only applicable when the Kubernetes deployment platform is selected.

allow_cluster_management
boolean

Allow steps executed by this runner to perform actions on the Kubernetes cluster. Default is false.

Exampletrue
cpu_request
object (v1alphaResource)
amount
string (int64)
units
string
cpu_limit
object (v1alphaResource)
amount
string (int64)
units
string
memory_request
object (v1alphaResource)
amount
string (int64)
units
string
memory_limit
object (v1alphaResource)
amount
string (int64)
units
string
cpu_max
object (v1alphaResource)
amount
string (int64)
units
string
memory_max
object (v1alphaResource)
amount
string (int64)
units
string
labels
object

Key-value pairs that attach identifying metadata to Kubernetes objects.

Example{ "env": "production" }
property*
string additionalProperties
annotations
object

Key-value pairs that attach arbitrary non-identifying metadata to Kubernetes objects.

Example{ "annotation_key": "annotation_value" }
property*
string additionalProperties
docker_options
object (v1alphaDockerOptions)
cpu
object (v1alphaResource)
amount
string (int64)
units
string
memory
object (v1alphaResource)
amount
string (int64)
units
string
install_command
string

The install command for deploying the step runner.

Examplecurl -H -s -L <link to deployment configurations file> | kubectl apply -f -
401

Invalid bearer token. If you receive this message more than once try creating a new Client ID/Client Secret or generating a new bearer token.

object
403

You don't have permission to access this resource.

object